Best times to post
curl 'https://api.xholic.ai/v1/scheduler/best-times' \ -H "Authorization: Bearer $XHOLIC_API_KEY"xholic scheduler best-times{ "name": "best_posting_times", "arguments": {}}const response = await fetch("https://api.xholic.ai/v1/scheduler/best-times", { headers: { Authorization: `Bearer ${process.env.XHOLIC_API_KEY}` },});const result = await response.json();console.log(result.summary);import axios from "axios";
const { data } = await axios.get("https://api.xholic.ai/v1/scheduler/best-times", { params: {}, headers: { Authorization: `Bearer ${process.env.XHOLIC_API_KEY}` },});console.log(data.summary);import osimport requests
response = requests.get( "https://api.xholic.ai/v1/scheduler/best-times", headers={"Authorization": f"Bearer {os.environ['XHOLIC_API_KEY']}"}, params={},)print(response.json()["summary"])package main
import ( "fmt" "io" "net/http" "os")
func main() { req, _ := http.NewRequest("GET", "https://api.xholic.ai/v1/scheduler/best-times", nil) req.Header.Set("Authorization", "Bearer "+os.Getenv("XHOLIC_API_KEY")) res, err := http.DefaultClient.Do(req) if err != nil { panic(err) } defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}<?php$ch = curl_init("https://api.xholic.ai/v1/scheduler/best-times");curl_setopt_array($ch, [ CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('XHOLIC_API_KEY')],]);$result = json_decode(curl_exec($ch), true);echo $result['summary'];require "net/http"require "json"
uri = URI("https://api.xholic.ai/v1/scheduler/best-times")req = Net::HTTP::Get.new(uri)req["Authorization"] = "Bearer #{ENV.fetch("XHOLIC_API_KEY")}"res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }puts JSON.parse(res.body)["summary"]The best upcoming times for this account to post, from when its audience engages. Use before scheduling when the user wants a good time rather than a set one.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”IANA timezone such as America/New_York. Use the user’s timezone.
IANA timezone such as America/New_York. Use the user’s timezone.
How many times to return (default 12).
How many times to return (default 12).
Only times after this, in minutes after local midnight. Send with windowEndMinutes.
Only times after this, in minutes after local midnight. Send with windowEndMinutes.
Only times before this, in minutes after local midnight. Send with windowStartMinutes.
Only times before this, in minutes after local midnight. Send with windowStartMinutes.
X account to act on, as @handle. Leave it out to use the connection’s default account.
X account to act on, as @handle. Leave it out to use the connection’s default account.
Responses
Section titled “Responses”Success
object
One or two readable sentences about the result.
The result. Its shape depends on the action.
object
Example
{ "ok": true}default
Section titled “default”Error
object
object
Example
{ "ok": false, "error": { "code": "UNAUTHENTICATED", "scope": "account" }}